## gimpmessage

gimpmessage — Display a dialog box with a message.

## Functions

gboolean | gimp_message ()
GimpMessageHandlerType | gimp_message_get_handler ()
gboolean | gimp_message_set_handler ()

## Description

Display a dialog box with a message.

## Functions

### gimp_message ()

    gboolean
    gimp_message (const gchar *message);

Displays a dialog box with a message.

Displays a dialog box with a message. Useful for status or error reporting. The message must be in UTF-8 encoding.

#### Parameters

message | Message to display in the dialog. |

#### Returns

TRUE on success.

### gimp_message_get_handler ()

    GimpMessageHandlerType
    gimp_message_get_handler (void);

Returns the current state of where warning messages are displayed.

This procedure returns the way g_message warnings are displayed. They can be shown in a dialog box or printed on the console where gimp was started.

#### Returns

The current handler type.

### gimp_message_set_handler ()

    gboolean
    gimp_message_set_handler (GimpMessageHandlerType handler);

Controls where warning messages are displayed.

This procedure controls how g_message warnings are displayed. They can be shown in a dialog box or printed on the console where gimp was started.

#### Parameters

handler | The new handler type. |

#### Returns

TRUE on success.

## Types and Values